Bug 731876 - Pick up SDP from OFED
Summary: Pick up SDP from OFED
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: distribution
Version: 7.0
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: 7.0
Assignee: RHEL Product and Program Management
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 728045 728571
TreeView+ depends on / blocked
 
Reported: 2011-08-18 20:32 UTC by IBM Bug Proxy
Modified: 2019-03-06 00:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 20:42:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 73770 None None None Never

Description IBM Bug Proxy 2011-08-18 20:32:05 UTC
1. Feature Overview:
Feature Id: [73770]
a. Name of Feature: Pick up SDP from OFED
b. Feature Description

Pick up SDP (Sockets Direct Protocol) from relevant OFED release

2. Feature Details:
Sponsor: LTC
Architectures:  ppc64, x86, x86_64, 

Arch Specificity: purely common code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from Community
Category: device driver
Request Type: Driver - Feature from Vendor
d. Upstream Acceptance: Submitted
Sponsor Priority P3
f. Severity: normal
IBM Confidential: No
Code Contribution: 3rd party code
g. Component Version Target: ---

3. Business Case
Several customers want to use SDP. SDP provides existing socket applications to be used as is, or with minimal changes and also gain performance advantages through in-kernel RDMA.

This becomes even more important in a virtual environment, as performance would be critical factor.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael L. Hohnbaum, hbaum@us.ibm.com

Technical contact(s):
Pradeep Satyanarayana, pradeep@us.ibm.com

Comment 1 Bill Nottingham 2011-08-18 20:42:06 UTC
This was intentionally dropped in RHEL 6.

Comment 2 Doug Ledford 2011-08-21 20:08:54 UTC
This will not be picked up unless the SDP protocol makes it into Linus' kernel.


Note You need to log in before you can comment on or make changes to this bug.